%define wtbindir  /usr/webtool
%define wtconfdir /etc/webtool

Summary: A Web-based administration tool for EnGarde Linux.
Name: WebTool
Vendor: Guardian Digital, Inc.
Packager:  Ryan W. Maple <ryan@guardiandigital.com>
Version: 1.2
Release: 1.0.74
Copyright: GPL
Group: Administration/Tools
Source0: WebTool-rel-1-2-updates.tar.gz
Source2: init-webtool
Source3: init-userpass
Source4: pam-webtool
Source5: cron-webtool
Source6: bin-webtool
Source7: bin-userpass
Source8: cron-tripwire
Source9: cron-allcommerce.pl
Source10: cron-allcommerce-gs.pl
Patch0: WebTool-1.2-remove-gdupdate-2.diff
Patch1: WebTool-1.2-miniserv-vuln-gd-1.diff
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Provides: WebTool
Requires: perl, openssl, perl-DBD-msql-mysql, perl-Net-SSLeay



### ###################### #####################################################
### The 'WebTool' package. #####################################################
### ###################### #####################################################
%description
The GD WebTool is a web-based administration tool based on the popular Webmin
package by Jamie Cameron <jcameron@webmin.com>.  The GD WebTool can perform
many system maintenance functions, such as:

  - Package installation
  - Mail server configuration
  - DNS server configuration

It also has many new features not currently present in Webmin such as:

  - SSH and SSHD Management
  - LIDS integration
  - Support for Zelerate's "All Commerce" e-commerce package


%files
%attr(700,root,root) /etc/init.d/webtool
%attr(700,root,admin) /usr/sbin/webtool

%{wtbindir}/Security/Security.pl
%{wtbindir}/Security/do_access.cgi
%{wtbindir}/Security/do_adminemail.cgi
%{wtbindir}/Security/do_banner.cgi
%{wtbindir}/Security/do_libwrap.cgi
%{wtbindir}/Security/do_webtoolpass.cgi
%{wtbindir}/Security/edit_access.cgi
%{wtbindir}/Security/edit_adminemail.cgi
%{wtbindir}/Security/edit_banner.cgi
%{wtbindir}/Security/edit_libwrap.cgi
%{wtbindir}/Security/edit_webtoolpass.cgi
%{wtbindir}/Security/index.cgi
%{wtbindir}/Security/lang
%{wtbindir}/Security/webmin-lib.pl


%{wtbindir}/StatusMonitor
%{wtbindir}/SystemBackup
%{wtbindir}/SystemManager/SystemManager.pl
%{wtbindir}/SystemManager/defaultacl
%{wtbindir}/SystemManager/index.cgi
%{wtbindir}/SystemManager/bind
%{wtbindir}/SystemManager/help
%{wtbindir}/SystemManager/lang
%{wtbindir}/SystemManager/net
%{wtbindir}/SystemManager/postfix
%{wtbindir}/SystemManager/sshd
%{wtbindir}/SystemManager/time
%{wtbindir}/SystemManager/useradmin
%{wtbindir}/images
%{wtbindir}/lang

%defattr(500,root,root)
%{wtbindir}/changepass.pl
%{wtbindir}/miniserv.pl
/etc/cron.daily/webtool

%defattr(400,root,root)
%{wtbindir}/LICENCE
%{wtbindir}/chooser.cgi
%{wtbindir}/config.cgi
%{wtbindir}/config_save.cgi
%{wtbindir}/group_chooser.cgi
%{wtbindir}/guardiandigital-lib.pl
%{wtbindir}/help.cgi
%{wtbindir}/index.cgi
%{wtbindir}/lang_list.txt
%{wtbindir}/mime.types
%{wtbindir}/session_login.cgi
%{wtbindir}/user_chooser.cgi
%{wtbindir}/version
%{wtbindir}/web-lib.pl


### ################################# ##########################################
### The 'WebTool-INITCONFIG' package. ##########################################
### ################################# ##########################################
%package INITCONFIG
Group: Administration/Tools
Summary: Initial configuration module for the GD WebTool
Requires:  WebTool

%description INITCONFIG
The WebTool-INITCONFIG package contains the files needed to perform an initial
configuration of the GD WebTool.

%files INITCONFIG

### Make the directories accessible only by root.
%defattr(500,root,root)
%dir %{wtbindir}/INITCONFIG
%dir %{wtbindir}/INITCONFIG/lang

%defattr(400,root,root)
%{wtbindir}/INITCONFIG/index.cgi
%{wtbindir}/INITCONFIG/lang/en
%{wtbindir}/INITCONFIG/step1.cgi
%{wtbindir}/INITCONFIG/step2.cgi
%{wtbindir}/INITCONFIG/step3.cgi
%{wtbindir}/INITCONFIG/step4.cgi
%{wtbindir}/INITCONFIG/step5.cgi
%{wtbindir}/INITCONFIG/step6.cgi
%{wtbindir}/INITCONFIG/step7.cgi
%{wtbindir}/INITCONFIG/complete.cgi
%{wtbindir}/INITCONFIG/do_allowHosts.cgi
%{wtbindir}/INITCONFIG/do_changeRootPass.cgi
%{wtbindir}/INITCONFIG/do_changeWebToolPass.cgi
%{wtbindir}/INITCONFIG/do_createUser.cgi
%{wtbindir}/INITCONFIG/do_locale.cgi
%{wtbindir}/INITCONFIG/do_netConfig.cgi
%{wtbindir}/INITCONFIG/do_reboot.cgi
%{wtbindir}/INITCONFIG/do_services.cgi


### ############################ ###############################################
### The 'WebTool-VHost' package. ###############################################
### ############################ ###############################################
%package VHost
Group: Administration/Tools
Summary: Virtual Host module for the GD WebTool
Requires:  WebTool, apache

%description VHost
The WebTool-VHost package contains the files needed to perform virtual host
management with the GD WebTool.

%files VHost

### Make the directories accessible only by root.
%defattr(500,root,root)
/etc/cron.daily/allcommerce.pl
/etc/cron.hourly/allcommerce-gs.pl

%defattr(700,root,root)
%{wtbindir}/VHost/


### ############################# ##############################################
### The 'WebTool-config' package. ##############################################
### ############################# ##############################################
%package config
Group: Administration/Tools
Summary: Configuration files for the GD WebTool
Requires:  WebTool

%description config
The WebTool-config package contains the configuration files for the GD WebTool.

%files config

### Make the directories accessible only by root.
%defattr(700,root,root)
%dir %{wtconfdir}/
%dir %{wtconfdir}/StatusMonitor/
%dir %{wtconfdir}/SystemManager/
%dir %{wtconfdir}/VHost/

### Make the files accessible only by root.
%defattr(600,root,root)
%config %{wtconfdir}/StatusMonitor/config
%config %{wtconfdir}/StatusMonitor/index
%config %{wtconfdir}/SystemManager/admin.acl
%config %{wtconfdir}/SystemManager/config
%config %{wtconfdir}/SystemManager/zonedef
%config %{wtconfdir}/VHost/admin.acl
%config %{wtconfdir}/VHost/config
%config %{wtconfdir}/VHost/site
%config %{wtconfdir}/config
%config %{wtconfdir}/openssl.cnf
%config %{wtconfdir}/perl-path
%config %{wtconfdir}/var-path
%config %{wtconfdir}/version
%config %{wtconfdir}/webmin.acl
%config %{wtconfdir}/miniserv.conf
%config %{wtconfdir}/miniserv.pem
%config %{wtconfdir}/miniserv.users


### ############################### ############################################
### The 'WebTool-userpass' package. ############################################
### ############################### ############################################
%package userpass
Group: Administration/Tools
Summary: User-password changing daemon used in conjunction with the GD WebTool.
Requires: perl-Authen-PAM, openssl, perl


%description userpass
The WebTool-userpass package contains the User-password changing daemon used
in conjunction with the GD WebTool.


%preun userpass
  if [ $1 = 0 ]; then
	chkconfig --del userpass
	/etc/init.d/userpass stop > /dev/null 2>&1
  fi

%post userpass
  if test -r /var/lock/subsys/userpass; then
	/usr/sbin/config_lids.pl --force > /dev/null 2>&1
	/etc/init.d/userpass restart > /dev/null 2>&1
  fi


%files userpass
%attr(700,root,root) /etc/init.d/userpass
%attr(600,root,root) /etc/pam.d/webtool
%attr(700,root,admin) /usr/sbin/userpass

%defattr(400,root,root)
%verify(mode md5 size mtime) %{wtconfdir}/userpass.conf

### Make the directories accessible only by root.
%defattr(700,root,root)
%dir /usr/userpass
%dir /usr/userpass/images

### Make the files accessible only by root.
%attr(500,root,root) /usr/userpass/userpass.pl

%defattr(400,root,root)
/usr/userpass/do_changepass.cgi
/usr/userpass/guardiandigital-lib.pl
/usr/userpass/index.cgi
/usr/userpass/logout.cgi
/usr/userpass/mime.types
/usr/userpass/session_login.cgi
/usr/userpass/version
/usr/userpass/web-lib.pl
/usr/userpass/images/backgrn.gif
/usr/userpass/images/foot.gif
/usr/userpass/images/head.gif


### ############################### ############################################
### The 'WebTool-tripwire' package. ############################################
### ############################### ############################################
%package tripwire
Group: Administration/Tools
Summary: WebTool frontend to Tripwire.
Requires: WebTool, tripwire


%description tripwire
The WebTool-tripwire package provides a WebTool front-end to the Tripwire
package.


%files tripwire

### Make the directories accessible only by root.
%defattr(500,root,root)
%dir %{wtbindir}/Security/tripwire

### Make the files accessible only by root.
%defattr(500,root,root)
%{wtbindir}/Security/tripwire/webtool_editor.pl
/etc/cron.daily/webtool

%defattr(400,root,root)
%{wtbindir}/Security/tripwire/README
%{wtbindir}/Security/tripwire/delete_report.cgi
%{wtbindir}/Security/tripwire/do_schedule.cgi
%{wtbindir}/Security/tripwire/do_update_database.cgi
%{wtbindir}/Security/tripwire/edit_email.cgi
%{wtbindir}/Security/tripwire/edit_schedule.cgi
%{wtbindir}/Security/tripwire/generate_report.cgi
%{wtbindir}/Security/tripwire/index.cgi
%{wtbindir}/Security/tripwire/list_reports.cgi
%{wtbindir}/Security/tripwire/save_email.cgi
%{wtbindir}/Security/tripwire/tripwire-lib.pl
%{wtbindir}/Security/tripwire/update_database.cgi
%{wtbindir}/Security/tripwire/view_report.cgi



### ############################### ############################################
### The 'WebTool-gdupdate' package. ############################################
### ############################### ############################################
%package gdupdate
Group: Administration/Tools
Summary: WebTool frontend to Tripwire.
Requires: WebTool, perl-RPM


%description gdupdate
The trial period for the Guardian Digital Update Service has ended.
Download this WebTool update to obtain information on how to continue
receiving technical support, access to system and security updates, and
corporate support.


%files gdupdate
  %defattr(400,root,root)
  %{wtbindir}/gdupdate/index.cgi


### ############################ ###############################################
### The 'WebTool-proxy' package. ###############################################
### ############################ ###############################################
%package proxy
Group: Administration/Tools
Summary: WebTool frontend to squid ACL's.
Requires: WebTool, squid


%description proxy
The WebTool-proxy package provides a GUI to manage ACL's for squid.  If you
have squid installed and want to filter what your users can view install this
package.


%files proxy

### Make the directories accessible only by root.
%defattr(700,root,root)
%dir %{wtbindir}/SystemManager/proxy

### Make the files accessible only by root.
%defattr(400,root,root)
%{wtbindir}/SystemManager/proxy/add_rule.cgi
%{wtbindir}/SystemManager/proxy/add_user.cgi
%{wtbindir}/SystemManager/proxy/create_rule.cgi
%{wtbindir}/SystemManager/proxy/do_rule_update.cgi
%{wtbindir}/SystemManager/proxy/index.cgi
%{wtbindir}/SystemManager/proxy/rule_delete.cgi
%{wtbindir}/SystemManager/proxy/rule_update.cgi
%{wtbindir}/SystemManager/proxy/rules_allow.cgi
%{wtbindir}/SystemManager/proxy/rules_deny.cgi
%{wtbindir}/SystemManager/proxy/squid-lib.pl
%{wtbindir}/SystemManager/proxy/user_add.cgi
%{wtbindir}/SystemManager/proxy/user_delete.cgi
%{wtbindir}/SystemManager/proxy/users.cgi


### ############################ ###############################################
### The 'WebTool-samba' package. ###############################################
### ############################ ###############################################
%package samba
Group: Administration/Tools
Summary: WebTool frontend to managing SMB shares.
Requires: WebTool, samba


%description samba
The WebTool-samba package provides a GUI to manage SMB shares.  If you have
samba installed and want an easy-to-use management interface, install this
package.


%files samba

### Make the directories accessible only by root.
%defattr(700,root,root)
%dir %{wtbindir}/SystemManager/samba

### Make the files accessible only by root.
%defattr(400,root,root)
%{wtbindir}/SystemManager/samba/create_share.cgi
%{wtbindir}/SystemManager/samba/do_create_share.cgi
%{wtbindir}/SystemManager/samba/do_delete.cgi
%{wtbindir}/SystemManager/samba/do_edit_share.cgi
%{wtbindir}/SystemManager/samba/do_options.cgi
%{wtbindir}/SystemManager/samba/edit_options.cgi
%{wtbindir}/SystemManager/samba/edit_share.cgi
%{wtbindir}/SystemManager/samba/index.cgi
%{wtbindir}/SystemManager/samba/samba-lib.pl




### ############### ############################################################
### The Dir-T Work. ############################################################
### ############### ############################################################
 
%prep
%setup -c -n $RPM_BUILD_ROOT -T -q -a 0 
%patch0 -p1
%patch1 -p1


%install
### Make all the directories that we need.
/bin/mkdir -p $RPM_BUILD_ROOT/etc/init.d
/bin/mkdir -p $RPM_BUILD_ROOT/etc/pam.d
/bin/mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
/bin/mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
/bin/mkdir -p $RPM_BUILD_ROOT/usr/sbin

### Install initscripts.
/usr/bin/install -m700 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/webtool
/usr/bin/install -m700 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/userpass

### Install PAM configuration file.
/usr/bin/install -m600 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/webtool

### Install cron jobs.
/usr/bin/install -m600 %{SOURCE5} $RPM_BUILD_ROOT/etc/cron.daily/webtool
/usr/bin/install -m600 %{SOURCE8} $RPM_BUILD_ROOT/etc/cron.daily/tripwire
/usr/bin/install -m500 %{SOURCE9} $RPM_BUILD_ROOT/etc/cron.daily/allcommerce.pl
/usr/bin/install -m500 %{SOURCE10} \
                       $RPM_BUILD_ROOT/etc/cron.hourly/allcommerce-gs.pl

### Install binaries.
/usr/bin/install -m700 %{SOURCE6} $RPM_BUILD_ROOT/usr/sbin/webtool
/usr/bin/install -m700 %{SOURCE7} $RPM_BUILD_ROOT/usr/sbin/userpass


%preun
  if [ $1 = 0 ]; then
	chkconfig --del webtool
	/etc/init.d/webtool stop > /dev/null 2>&1 || :
  fi

%post
  /sbin/chkconfig --add webtool

  if test -r /var/lock/subsys/webtool; then
	/usr/sbin/config_lids.pl --force > /dev/null 2>&1 || :
	/etc/init.d/webtool restart > /dev/null 2>&1      || :
  fi

%clean
  /bin/rm -rf $RPM_BUILD_ROOT



### ###################### #####################################################
### Ye Good Ol' Changelog. #####################################################
### ###################### #####################################################
%changelog
* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.74
  - Fix session ID spoofing vulnerability in miniserv.pl and userpass.pl.
  - Appropriately restart the WebTool/Userpass in scripts.

* Tue Jan 08 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.73
  - RIP GD Update.  We'll miss you. (Patch #0)

* Tue May 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.72
  - Several security-related updates in the handling of enviromental variables
    when restarting daemons (new functions in web-lib.pl).


* Thu Mar 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.((6[789])(7[01]))
  - "Final" version before EnGarde 1.0.1 (Finestra) release.
  - Fixed some bugs restarting the WebTool after a password change
  - /etc/webtool is now it's own tarball.
  - The samba and proxy modules now have their own tarball.
  - The Tripwire module got some lovin'.
  - Very few outstanding bugs.  Will probably bump to 1.3 a week or two after
    release.


* Wed Mar 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.66
  - Fixed up to work with new version of LIDS.
  - Better interaction with config_lids.pl to protect certs/keys.


* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscript.


* Tue Mar 14 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.6[34]
  - Made various fixese to gdupdate.
  - (It now works with LIDS enabled, too).


* Tue Mar 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.62
  - Note the gap.  The gap is here because of the test builds I did to debug
    the new initscripts.
  - Anywho, I fixed the step3 bug in INITCONFIG.
  - I also turn off LIDS before removing the INITCONFIG RPM.  Good stuff.
  - BUG FIX:  Removed 'no-cache' from the headers.  It was causing problems.
  - Now use %{SOURCEn} instead of RPM_SOURCE_DIR.
  - Now use chkconfig --add instead of --level 3.


* Thu Mar 09 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.5[678]
  - BUG FIX:  The daemons now use /etc/mime.types instead of
              /usr/webtool/mime.types.


* Wed Mar 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.55
  - BUG FIX:  You can now have ampersands (&) in the password.  The bug was in
              changepass.pl... the "new password" is now in single-quotes to
              ensure it gets pass the shell into the script.
  - UPDATE:   The "default" password has been updated to 'lock&%box' as per the
              manual, version 1.0.1.


* Wed Mar 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.54
  - BUG FIX:  added a "> /dev/null 2>&1" to cron-webtool.
  - BUG FIX:  Made 'tripwire' a requirement for the WebTool-tripwire package.
  - BUG FIX:  Changed the format of the "rpm -q" conditionals so they don't spam
              the console anymore.


* Thu Mar 01 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2, Release 1.0.53
  - Added /etc/cron.hourly/allcommerce-gs.pl to generate the site every hour.
  - Finally bumped up to version 1.2.  We've been testing for weeks and it's all
    good, so it's time to make the jump.


* Wed Feb 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.52
  - Fixed two bugs in /VHost/opensales/edit/edit_webserver.cgi.
  - Setup the 'no-cache' pragma header... it was not being done before.
  - The 'proxy' sub-package now has the squid time/log searching code included.
    - Screens will only show up if 'database-lib.pl' exists.


* Tue Feb 20 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.51
  - Added a screen to change the Zip Code associated with a store.
  - Started cleaning up %descriptions in spec file.
  - Added a little perl script to run_stats.pl for all of the stores every day.


* Tue Feb 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.50
  - One last change to the 'WebTool-tripwire' package:  Report generation now
    sends the output to /dev/null, so no more spamming on a remote terminal.
  - Removed some unused files.
  - Fixed some LIDS compatablity issues. :)
  - Added a sleep when editing WebTool ACL.
  - Store created now checks the $storestate to make sure it's valid.
  - NOTE:  Should be ready for a 1.2 release sometime late next week.


* Tue Feb 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.49
  - Added 'squid' as a requirement for WebTool-proxy.
  - Major improvements in the 'WebTool-tripwire' package.
  - Made the 'webtool_editor.pl' 0500, since it needs to be executed (duh).
  - Tweaked the file list for the 'WebTool' package to exclude the proxy,
    samba, and tripwire stuff.


* Tue Feb 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.48
  - Added the "Process" column to /StatusMonitor/systemstats.cgi.
  - Created a new 'samba' package for managing SMB shares.


* Thu Feb 01 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.47
  - Fixed the postfix "postmaster" bug.
  - Fixed the problem with the header in INITCONFIG (web-lib.pl).


* Wed Jan 31 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1, Release 1.0.46
  - This was built by Pete on magneto.  This is a non-standard release and was
    used for his internal testing only.  Use 1.0.47...


* Tue Jan 30 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.46
  - Fixed a nasty bug in postfix/save_domain.cgi where the defrec was not being 
    written.


* Tue Jan 30 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.45
  - Fixed a date bug in the SystemBackup cron jobs.
  - One more AllCommerce permissions update.


* Mon Jan 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.44
  - New header is in place... makes navigation so much easier.
  - Removed MySQL as a dependancy as it no longer depends on it.
  - Fixed permissions on crons/* in AllCommerce module.
  - Fixed permissions on conf/* (especially site.pm) in AllCommerce module.


* Thu Jan 25 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.43
  - Welp the meaning of life has passed us over.  I hope it was as good for you
    as it was for me.  *lights up a cigarette*
  - Fixed some really dumb bugs:
    - Userpass initscript was reading the wrong PID file. *thwap*
    - session_login.cgi was not being included for userpass.  *thwap* *thwap*
    - session_login.cgi was using $text.  *thwap* *thwap* *thwap*
  - Fixed some bugs in AllCommerce, SystemBackup, postfix.
  - Made final changes to AllCommerce permissions, pending testing.


* Fri Jan 19 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.42
  - Okay boys and girls, time to discuss the meaning of life:
    -
    - ##########################################################################
    - ##########################  _  _  ____   #################################
    - ########################## | || ||___ \  #################################
    - ########################## | || |_ __) | #################################
    - ########################## |__   _/ __/  #################################
    - ##########################    |_||_____| #################################
    - ##########################               #################################
    - ##########################################################################
    -
    - An alternative view of the meaning of life may be found at:
      - http://www.reel.com/movie.asp?MID=955
  - AllCommerce shipping stuff is done.  I rule.
  - Fixed a little bug in SystemManager/net/edit_bifc.cgi
  - Version 1.2 on deck.
 

* Thu Jan 18 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.41
  - ##### Only one more release until we learn The Meaning Of Life (tm). #####
  - Added username/groupname to AllCommerce store creation.
  - Made 'final' (no such word here) permissions changes to AllCommerce stuff.
  - Made some small improvements to UPS/AllCommerce.
  - Added the 'proxy' package to manage squid ACLs.
  - ##### Only one more release until we learn The Meaning Of Life (tm). #####


* Fri Jan 12 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.40
  - Updated opensales stuff to work with AllCommerce-1.0.4.1.
  - Little things here and there.


* Wed Jan 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.39
  - Broke userpass into a binary (like webtool) so it will work with LIDS.
  - Re-wrote userpass initscript to accomodate this change.
  - Updated userpass to use new miniserv.pl, and sessions.
  - Aborting/Updating Password no longer takes you to www.guardiandigital.com.


* Mon Jan 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.38
  - Updated to work with most recent AllCommerce.
  - Fixed INITCONFIG recursive loop problem... need a better solution.


* Thu Jan 03 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.37
  - More bugfixes (Thanks again, Pete ;)).
  - Fixed up to work with the new version of AllCommerce.
  - Some more UI enhancements (Thanks again, Pete ;)).


* Wed Dec 27 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.36
  - More bugfixes (Thanks Pete).


* Fri Dec 15 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.35
  - More Virtual Host Management changes.
  - Added cron file to remove backups > 45 days old.


* Tue Dec 05 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.34
  - SSH key name is now identity-$user-$hostname.key.
  - Added CSR generation to SSL sites in Virtual Host module.
  - Started fixing all the headers... more to come.


* Mon Dec 04 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.33
  - So much for final fixes in INITCONFIG, made a few more. :)
  - Added "Provides" line for 'WebTool' package.


* Sun Dec 03 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.32
  - Fixed permissions in sshd module.
  - Many general permission and final fixes in VHost.  Time to test!
  - Final fixes in INITCONFIG.


* Sun Dec 03 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.31
  - Fixed some final bugs.  Just a few more to go!


* Sat Dec 02 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1, Release 1.0.30
  - Finally promoted to version 1.1.  yay!
  - Added new WebTool-tripwire package for developmental Tripwire interface.


* Tue Nov 28 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.28
  - Now uses chkconfig.
  - Removed some more unnecessary files.
  - Re-wrote postfix parsing of $relay_domains
  - Re-wrote parsing of /etc/hosts.(allow|deny)
  - Changed /VHost/webalizer/index.cgi
  - Added spop3 to services monitor, INITCONFIG, and everywhere else.
  - Made various DNS changes (Default -> "Allow (None|All)"
  - Slowly reaching final version.


* Tue Nov 28 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.26
  - Added 'INITCONFIG' subpackage.
  - index.cgi is now smart. :)
  - Initscripts are now mode 0750
  - Various bind improvements as per Dave.


* Mon Nov 27 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.25
  - Major CRITIAL bugfixes.


* Sat Nov 25 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.24
  - EVERYTHING is now in one tarball, and subpackages are built.
  - Overhauled .spec file into different packages.
    - WebTool-core:      Core files (duh)
    - WebTool-config:    Configuration files (double duh)
    - WebTool-userpass:  User-password changing daemon.


* Mon Nov 22 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.23
  - Yet more general fixes.
  - Slight change to chkconfig portions of initscript.
  - Added steps in INITCONFIG.


* Mon Nov 20 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.22
  - More general fixes in the AllCommerce section.
  - Adding a virtual domain now puts it in $relay_hosts in main.cf.
  - New session/cookie-based authentication system.
  - Included "/usr/bin/webtool" to use in initscript.


* Fri Nov 17 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version .80, Release 1.0.21
  - Last version before we cutover to /(usr|etc)/webtool
  - General DNS, INITCONFIG, and Apache updates.
  - One step closer to "Final" version.


* Fri Nov 03 2000 Ryan W. Maple <ryan@guardiandigital.com>
- RPM no longer starts daemon at install.
- Default certificate is now good for two years.
- New "DNS Management" issues have cropped up so must resolve them this weekend.
- New "Software Packags" issues have cropped up so must resolve them this
  weekend.
- AllCommerce stuff is now beta.  Will test this weekend and have final by
  Sunday.
- Apache is now beta.  Will test this weekend and have final by Sunday.
- Removed Task Scheduler.  If they have a reason to schedule a cron job they
  will know how to do it by hand.
- Must implement new features:
  - All option to put IP in hosts.allow when creating ssh key.
- Overview:
  - Security:  Silver.
  - Virtual Host Management:  Beta.
  - System Management:  Beta.
  - System Status Monitor:  Alpha.
  - System Backup:  Silver.


* Fri Nov 03 2000 Ryan W. Maple <ryan@guardiandigital.com>
- AllCommerce stuff is 90% done.  Store deletion and editing still need some
  work.


* Wed Nov 01 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Several major changes.
- New initscript.
- Moved initscripts out of /etc/rc.d
- Apache now creates mysql stuff.


* Mon Oct 23 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Re-wrote the "Boot Interfaces" portion of the /net sub-module to work with
  our /etc/network/interfaces scheme.


* Fri Oct 20 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Major improvements in the "Virtual Host Management" module.
- Major improvements in the BIND sub-module.
- Major improvements in the "System Backup" module.
- Renamed package to WebTool-core, and broke /usr/userpass
  into WebTool-userpass.
- WebTool-userpass can now use /etc/passwd.


* Thu Oct 12 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Integrated the new daemon that listens on port 1022 for users to change
  their passwords.
- Added Authen::PAM requirement.


* Tue Oct 10 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Integration of many new features including a major overhaul of the 
  look-and-feel.  Postfix and BIND modules have been completed.  This is one
  step away from being signed off as GD version 1.0.


* Mon Oct 03 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Made significant change to postfix and bind modules.


* Mon Oct 02 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Updated WebTool RPM with new modules.  


* Tue Jul 25 2000 Nick DeClario <nick@guardiandigital.com>
- Initial creation of Webmin RPM

